package com.naaturel.ANN.implementation.training.steps;

import com.naaturel.ANN.domain.abstraction.AlgorithmStrategy;
import com.naaturel.ANN.domain.abstraction.TrainingStep;

public class DeltaStep implements TrainingStep {

    private final AlgorithmStrategy strategy;

    public DeltaStep(AlgorithmStrategy strategy) {
        this.strategy = strategy;
    }

    @Override
    public void run() {
        this.strategy.apply();
    }
}
